SDL_GetRenderOutputSize(3)

NAME
SDL_GetRenderOutputSize - Get the output size in pixels of a rendering context.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRenderOutputSize(SDL_Renderer *renderer, int *w, int *h);

DESCRIPTION
This returns the true output size in pixels, ignoring any render targets or logical size and presentation.

FUNCTION PARAMETERS

renderer
    the rendering context

w   a pointer filled in with the width in pixels

h   a pointer filled in with the height in pixels

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetCurrentRenderOutputSize(3)